<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<!--{$page_charset}-->" />

<title>管理员</title>
<!--{include file="<!--{$cptplpath}-->headerjs.tpl"}-->
<!--{assign var='pluginevent' value=XHook::doAction('adm_head')}-->
</head>
<body>
<!--{assign var='pluginevent' value=XHook::doAction('adm_main_top')}-->
<!--{include file="<!--{$cptplpath}-->lang_all.tpl"}-->
<div class="main-wrap">
  <div class="path"><p>当前位置：系统设置<span>&gt;&gt;</span>微信设置<span>&gt;&gt;</span><a href="<!--{$cpfile}-->?c=aplipay&a=wx">微信支付配置</a></p></div>
  <div class="main-cont">
	<h3 class="title">微信配置</h3>
    <form name="myform" id="myform" method="post" action="<!--{$cpfile}-->?c=aplipay" onsubmit='' />
    <input type="hidden" name="a" value="saveedit_wx" />
	<table cellpadding='3' cellspacing='3' class='tab'>
	  <tr>
		<td class='hback_1' width="15%">APPID：<span class='f_red'>*</span></td>
		<td class='hback' width="85%"><input type="text" name="app_id" id="app_id" class="input-150" value="<!--{$aplipay.app_id}-->" /> <span class='f_red' id="dadminname"></span> <font color="#999999">微信公众号身份的唯一标识。审核通过后，在微信发送的邮件中查看</font></td>
	  </tr>
          	  <tr>
		<td class='hback_1' width="15%">MCHID：<span class='f_red'>*</span></td>
		<td class='hback' width="85%"><input type="text" name="partner" id="partner" class="input-150" value="<!--{$aplipay.partner}-->" /> <span class='f_red' id="dadminname"></span> <font color="#999999">受理商ID，身份标识</font></td>
	  </tr>
            <tr>
		<td class='hback_1' width="15%">KEY：<span class='f_red'>*</span></td>
		<td class='hback' width="85%"><input type="text" name="key" id="key" class="input-150" value="<!--{$aplipay.key}-->" /> <span class='f_red' id="dadminname"></span> <font color="#999999">商户支付密钥Key。审核通过后，在微信发送的邮件中查看</font></td>
	  </tr>
        
	 <tr>
	<td class='hback_1'>APPSECRET：<span class='f_red'>*</span></td>
		<td class='hback'><input type="text" name="charset" id="charset" class="input-100" value="<!--{$aplipay.charset}-->" /> <span class='f_red' id="dconfirmpassword"></span> <font color="#999999">JSAPI接口中获取openid，审核后在公众平台开启开发模式后可查看</font></td>
	  </tr>
         
	  <tr>
		<td class='hback_none'></td>
		<td class='hback_none'><input type="submit" name="btn_save" class="button" value="保存更新" /></td>
	  </tr>
	</table>
	</form>
  </div>
  <div style="clear:both;"></div>
</div>


<!--{assign var='pluginevent' value=XHook::doAction('adm_footer')}-->
</body>
</html>
<script type="text/javascript">
function checkform() {
	var t = "";
	var v = "";

	t = "adminname";
	v = $("#"+t).val().length;
	if(v<4 || v>16) {
		dmsg("登录帐号必须为4-16个字符！", t);
		return false;
	}

	t = "password";
	v = $("#"+t).val().length;
	if(v<4 || v>16) {
		dmsg("登录密码必须为4-16个字符", t);
		return false;
	}
	return true;
}

function checkpassword() {
	var t = "";
	var v = "";

	t = "oldpassword";
	v = $("#"+t).val();
	if(v=="") {
		dmsg("原密码不能为空", t);
		return false;
	}

	t = "password";
	v = $("#"+t).val().length;
	if(v<4 || v>16) {
		dmsg("新密码必须为4-16个字符！", t);
		return false;
	}
    
	t = "confirmpassword";
	if($("#confirmpassword").val()!=$("#password").val()) {
		dmsg("确认密码不正确！", t);
		return false;
	}
	return true;
}
</script>
